## net.sf.saxon.expr
Interface MappingFunction

All Known Implementing Classes:
  AtomicSequenceConverter, Atomizer.AtomizingFunction, BuiltInListType, CardinalityChecker, Collection, CopyOf, Document, ForEach, ForEachGroup, Id, Idref, ItemChecker, Key, NumberFn, NumericPromoter, PathExpression, SimpleMappingExpression, TupleSorter, UntypedAtomicConverter

public interface MappingFunction

MappingFunction is an interface that must be satisfied by an object passed to a MappingIterator. It represents an object which, given an Item, can return a SequenceIterator that delivers a sequence of zero or more Items.

Method Summary
`java.lang.Object` `map(Item item, XPathContext context, java.lang.Object info)` Map one item to a sequence.

Method Detail

### map

    public java.lang.Object map(Item item,
                                XPathContext context,
                                java.lang.Object info)
                         throws XPathException

  Map one item to a sequence.

  Parameters:
    `item` - The item to be mapped. If context is supplied, this must be the same as context.currentItem().
    `context` - The processing context. This is supplied only for mapping constructs that set the context node, position, and size. Otherwise it is null.
    `info` - Arbitrary information supplied by the creator of the MappingIterator. It must be read-only and immutable for the duration of the iteration.
  Returns:
    either (a) a SequenceIterator over the sequence of items that the supplied input item maps to, or (b) an Item if it maps to a single item, or (c) null if it maps to an empty sequence.
  Throws:
    `XPathException`